Models
Get model asset credentials
Retrieves temporary credentials for accessing the storage backing the specified model version.
Query parameters
api-version
string
required
The API version to use for this operation.
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Path parameters
name
string
required
Name of the model.
version
string
required
Version of the model.
Request Body
The credential request request body.
blobUri
string
required
Blob URI of the model asset to fetch credentials for.
Responses
The request has succeeded.
Body
blobReference
BlobReference
required
Blob reference details.
blobUri
string
required
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
required
ARM ID of the storage account to use.
credential
SasCredential
required
SAS Credential definition
sasUri
string
required
SAS uri
type
enum
required
Type of credential
Request
POST /models/{name}/versions/{version}/credentials HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json